SeqSimilarityStAXAdapter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssbind.SeqSimilarityStAXAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Class SeqSimilarityStAXAdapter

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXAdapter

All Implemented Interfaces:
  StAXContentHandler

    public class SeqSimilarityStAXAdapter

extends StAXContentHandlerBase

`SeqSimilarityStAXAdapter` is a handler for XML conforming to the BioJava BlastLike DTD. Together with its modular delegate handlers it converts XML into calls on a `SearchContentHandler` interface. Implementations of the at interface create various types of Java object from the XML data.

Since:
  1.3
Author:
  Keith James

Field Summary
`static String` | `NAMESPACE`

Constructor Summary
`SeqSimilarityStAXAdapter()`

Method Summary
`void` | `endElement(String nsURI, String localName, String qName, StAXContentHandler handler)`
`SearchContentHandler` | `getSearchContentHandler()` `getSearchContentHandler` gets the handler which will receive the method calls generated by the adapter.
`void` | `setSearchContentHandler(SearchContentHandler scHandler)` `setSearchContentHandler` sets the handler which will recieve the method calls generated by the adapter.
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### SeqSimilarityStAXAdapter

    public SeqSimilarityStAXAdapter()

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName,
                           StAXContentHandler handler)
                    throws SAXException

  Specified by:
    `endElement` in interface `StAXContentHandler`
  Overrides:
    `endElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### getSearchContentHandler

    public SearchContentHandler getSearchContentHandler()

  `getSearchContentHandler` gets the handler which will receive the method calls generated by the adapter.

  Returns:
    a `SearchContentHandler`.

### setSearchContentHandler

    public void setSearchContentHandler(SearchContentHandler scHandler)

  `setSearchContentHandler` sets the handler which will recieve the method calls generated by the adapter.

  Parameters:
    `scHandler` - a `SearchContentHandler`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD